import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotLoanGrant/` + url, ...arg)

/**
 * 入库放款单Api接口管理器
 *
 * @author xiang
 * @date  2023/09/18 16:03
 **/
export default {
	// 获取入库放款单分页
	depotLoanGrantPage(data) {
		return request('page', data, 'get')
	},
	// 获取入库放款单列表
	depotLoanGrantList(data) {
		return request('list', data, 'get')
	},
	// 提交入库放款单表单 edit为true时为编辑，默认为新增
	depotLoanGrantSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 二级审批通过
	bankOpApproval(data) {
		return request('bankOpApproval', data)
	},
	// 删除入库放款单
	depotLoanGrantDelete(data) {
		return request('delete', data)
	},
	// 获取入库放款单详情
	depotLoanGrantDetail(data) {
		return request('detail', data, 'get')
	}
}
